'use server';

import prisma from "@/lib/prisma";
import { SortableItem } from "@/types/SortableItem";

export async function updateCategorySortOrder(items: SortableItem[]) {
  await Promise.all(
    items.map(item =>
      prisma.category.update({
        where: { id: item.id },
        data: { sortIndex: item.sortIndex },
      })
    )
  );
}
